/**
 * 
 */
package de.uni_kassel.pmss10.mancala.gui;

import java.awt.Graphics;
import java.awt.Image;

import javax.swing.ImageIcon;
import javax.swing.JPanel;

class BackgroundPanel extends JPanel
{

   /**
    * 
    */
   private static final long serialVersionUID = 5113808350570876288L;
   
   private Image img;
   
   public BackgroundPanel(String imagefile)
   {
      if(imagefile == null) throw new IllegalArgumentException("imageFile must not be null");
      
      img = new ImageIcon(imagefile).getImage();
   }
   
   protected void paintComponent(Graphics g) {
      super.paintComponent(g);
      g.drawImage(img,0,0,this.getWidth(),this.getHeight(),this);
   }
}